This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 139488 - Installer exits with "install exited unexpectedly"
Installer exits with "install exited unexpectedly"
Status: CLOSED DUPLICATE of bug 137533
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-16 05:33 EST by Jon
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:07:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ks.cfg (3.40 KB, text/plain)
2004-11-16 05:43 EST, Jon
no flags Details
isolinux.cfg (172 bytes, text/plain)
2004-11-16 05:45 EST, Jon
no flags Details

  None (edit)
Description Jon 2004-11-16 05:33:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; 
SV1; .NET CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
When using kiskstart with FC3, if "part" is defined, installer 
crashes with "install exited unexpectedly" with no traceback.  
If "part" is not defined in the kickstart file, the partition 
information is requested and everything proceeds to install ok.
If Fedora/base/*, isolinux/* and .discinfo are taken from FC2 and 
replace FC3's version, everything is as expected.  The same happens 
on the i386 version, so it is not a 64bit issue.  Attached are a copy 
of ks.cfg and isolinux/isolinux.cfg that are the only changes to the 
FC3 iso images.
This is not an issue with FC2.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Take FC3 disc1 ISO image
2.Add ks.cfg in root of iso image
3.Update isolinux/isolinux.cfg
4.Burn new iso and try to build system

    

Actual Results:  Build gets as far as preparing rpms for installation 
and then crashes with "install exited unexpectedly"

Expected Results:  The install should successfully complete

Additional info:

5.Comment out the 3 "part" lines from ks.cfg and retry - now all 
works after using Disk Druid.
Comment 1 Jon 2004-11-16 05:43:34 EST
Created attachment 106789 [details]
ks.cfg

I do not believe that the packages selected make any difference - one of the
iterations was to use only the loaded packes on a built FC3 system - which
still failed.
Comment 2 Jon 2004-11-16 05:45:15 EST
Created attachment 106790 [details]
isolinux.cfg
Comment 3 Jeremy Katz 2004-11-16 12:09:00 EST

*** This bug has been marked as a duplicate of 137533 ***
Comment 4 Jon 2004-11-16 12:28:13 EST
OK, but I am not doing this from a hard-disc install, and I am pretty 
confident that I do not go this code path - in particular, I am not 
using /dev within the ks.cfg file.
I also did not get glibc complaining about any double frees etc.
Comment 5 Red Hat Bugzilla 2006-02-21 14:07:03 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.